LINUX.ORG.RU

Woeusb на debian

 , ,


0

1

Подскажите пож-та как установить woeusb на debian 9 ? Я брал убунтовский deb пакет woeusb, ставил его при помощи #dpkg -i woeusb.deb далее ошибка #apt install -f для подтяжки зависимостей , но apt не нашла зависимости и удалила не до установленный пакет. Так же я пробовал добавить в систему убунтовский ppa woeusb это тоже не принесло результата кроме ошибки в sours.liste.

Ответ на: комментарий от bdfy

я просто репу добавил

В ubuntu я тоже просто добавил репу (убунтовский ppa woeusb), сделал #apt update;apt install woeusb и все получилось, а вот в debian это не принесло результата кроме ошибки в sours.liste.

transmission ()
Ответ на: комментарий от bdfy

я просто репу добавил

Там нет в зависимостях ничего левого, чтобы репу добавлять (control.tar.gz/control):

bash >= 4.3
dosfstools
gettext
grub2-common
grub-pc-bin
ntfs-3g
p7zip-full
parted
policykit-1
coreutils >= 8.23
wget
libc6 >= 2.4
libgcc1 >= 1:3.0
libstdc++6 >= 5.2
libwxbase3.0-0v5 >= 3.0.2+dfsg
libwxgtk3.0-0v5 >= 3.0.2+dfsg

в debian это не принесло результата кроме ошибки

Ставь пакет от xenial (через gdebi), а то от bionic зависимости libwxbase3 и libwxgtk3 в Debian 9 слишком старые, наверное из-за этого ошибка.

Немного странно, что libc6 требуется >=2.4. Таких версий еще нет ни в убунте, ни в дебиане. Наверное, имелся в виду GLib (без C), тогда выглядит правдоподобно и даже Debian 8 удовлетворяет условию.

anonymous ()
Ответ на: комментарий от anonymous

Ставь пакет от xenial

Сработало, пакет woeusb от xenial установился успешно, все зависимости apt успешно подтянул, убунтовский ppa я конечно прописывать в sours.list не буду (а если бы и прописал я бы все равно его потом закоментировал-бы), так что считаю что проблема решена, спасибо всем кто помогал.

transmission ()